View Issue Details

IDProjectCategoryView StatusLast Update
0015915LazarusIDEpublic2018-10-08 15:48
ReporterstockiAssigned ToJuha Manninen 
PrioritynormalSeveritytweakReproducibilityalways
Status assignedResolutionreopened 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version 
Summary0015915: Let .lpi, .ico, .res files untouched
Description1. Create a new project.
2. Compile the whole project.
2. Wait one or two minutes.
3. Compile the whole project again.
4. Check the time stamp

File project1.lpi, project1.ico, project1.res are being created again. Please let these files untouched. There is no need to changes/re-create them again. Delphi let them also untouched.
TagsNo tags attached.
Fixed in Revisionr59246, r59256, r59269
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

has duplicate 0022645 closedJuha Manninen Redundant disk traffic on "Run" 
has duplicate 0024237 resolvedJuha Manninen Date/Hour for the external application icon file are modified during each compilation 

Activities

Zeljan Rikalo

2014-03-11 11:54

developer   ~0073622

Is this fixed ?

Reinier Olislagers

2014-03-11 12:28

developer   ~0073623

Laz trunk/FPC trunk x86, Windows:

After a 2nd compile:
No changes:
- .ico timestamp
- .lpi timestamp

Still changes
- .res file
Diffing (a copy of) the original and new res files shows no differences

Vojtech Cihak

2014-03-11 15:47

reporter   ~0073632

My similar report: http://bugs.freepascal.org/view.php?id=22645

Juha Manninen

2018-10-04 11:07

developer   ~0111234

I fixed it by removing resource generation from DoBuildProject in main.pp.
AFAIK the resources have been always generated at that point. Is it so?
This must stay in trunk to test for possible regressions.

Juha Manninen

2018-10-06 21:34

developer   ~0111289

I improved this more in r59256. Now the resource file is not generated when a project is compiled.

stocki

2018-10-06 22:43

reporter   ~0111291

Thanks!

Juha Manninen

2018-10-08 15:48

developer   ~0111323

I must reopen this. The project resource file is still generated every time the sources are modified and saved for compilation.
My optimization in r59256 was wrong and I reverted it in r59269.

Issue History

Date Modified Username Field Change
2010-03-07 22:40 stocki New Issue
2010-03-07 22:40 stocki Widgetset => Win32/Win64
2010-03-12 15:50 Vincent Snijders LazTarget => -
2010-03-12 15:50 Vincent Snijders Status new => acknowledged
2010-03-12 15:51 Vincent Snijders Severity minor => tweak
2014-03-11 11:54 Zeljan Rikalo Note Added: 0073622
2014-03-11 12:28 Reinier Olislagers Note Added: 0073623
2014-03-11 15:47 Vojtech Cihak Note Added: 0073632
2014-03-11 15:55 Reinier Olislagers Relationship added related to 0022645
2016-03-15 13:39 Juha Manninen Relationship added has duplicate 0024237
2018-10-04 11:04 Juha Manninen Relationship replaced has duplicate 0022645
2018-10-04 11:04 Juha Manninen Assigned To => Juha Manninen
2018-10-04 11:04 Juha Manninen Status acknowledged => assigned
2018-10-04 11:07 Juha Manninen Fixed in Revision => r59246
2018-10-04 11:07 Juha Manninen Note Added: 0111234
2018-10-04 11:07 Juha Manninen Status assigned => resolved
2018-10-04 11:07 Juha Manninen Resolution open => fixed
2018-10-06 21:34 Juha Manninen Fixed in Revision r59246 => r59246, r59256
2018-10-06 21:34 Juha Manninen Note Added: 0111289
2018-10-06 22:43 stocki Note Added: 0111291
2018-10-06 22:43 stocki Status resolved => closed
2018-10-08 15:48 Juha Manninen Note Added: 0111323
2018-10-08 15:48 Juha Manninen Status closed => assigned
2018-10-08 15:48 Juha Manninen Resolution fixed => reopened
2018-10-08 15:48 Juha Manninen Fixed in Revision r59246, r59256 => r59246, r59256, r59269